-- message box flags
MB_OK                       = math.fromHex("0x00000000")
MB_OKCANCEL                 = math.fromHex("0x00000001")
MB_ABORTRETRYIGNORE         = math.fromHex("0x00000002")
MB_YESNOCANCEL              = math.fromHex("0x00000003")
MB_YESNO                    = math.fromHex("0x00000004")
MB_RETRYCANCEL              = math.fromHex("0x00000005")
MB_CANCELTRYCONTINUE        = math.fromHex("0x00000006")
MB_ICONHAND                 = math.fromHex("0x00000010")
MB_ICONQUESTION             = math.fromHex("0x00000020")
MB_ICONEXCLAMATION          = math.fromHex("0x00000030")
MB_ICONASTERISK             = math.fromHex("0x00000040")
MB_USERICON                 = math.fromHex("0x00000080")
MB_ICONWARNING              = MB_ICONEXCLAMATION
MB_ICONERROR                = MB_ICONHAND
MB_ICONINFORMATION          = MB_ICONASTERISK
MB_ICONSTOP                 = MB_ICONHAND



-- scene view configuration
mediaPath = "datas"

if (setCurrentDirectory(mediaPath) == false) then
	messageBox("SDemo error", "couldn't set directory to "..mediaPath, MB_ICONEXCLAMATION)
end

windowWidth = 800;
windowHeight = 600;
--
fullScreenWidth = 1024;
fullScreenHeight = 768;
--
fullscreen = false;



aspectRatio = 4/3
--aspectRatio = 16/10
--aspectRatio = 16/9


fov = 75
ZNear = 1
ZFar = 3000
cameraSpeed = 200;


PixelShaderModel="2_0"


bloom_filter_pre_threshold = 0.00
bloom_filter_pre_scale = 1.00
bloom_filter_post_threshold = 0.00
bloom_filter_post_scale = 0.4
bloom_modulate_factor = 1.00

HardwareShadowMapEnabled = true;

multiSampleCount = 1;